/*
 * The_xmloperator_project Software License, Version 1.7
 *
 * Copyright (c) 2000 - 2003 The_xmloperator_project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *      "This product includes or uses software developped
 *       by The_xmloperator_project (http://www.xmloperator.net/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. Products derived from this software may not be called "xmloperator",
 *    nor may "xmloperator" appear in their name, without prior written
 *    permission. For written permission, please contact
 *    the xmloperator project administrator.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE_XMLOPERATOR_PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * Further information can be found on the project's site
 * (http://www.xmloperator.net/).
 */
package org.xmloperator.framework.option;

import java.util.List;

import org.xmloperator.framework.option.Option;

public interface Options {

  // General options Ids
  public static final String ADVANCEDUSE = "AdvancedUse";
  // Load options Ids
  public static final String XMLPATH = "XMLPath";
  public static final String XSLPATH = "XSLPath";
  public static final String DTDPATH = "DTDPath";
  public static final String RNGPATH = "RNGPath";
  public static final String OPTIONSPATH = "OptionsPath";
  public static final String OPERATIONSPATH = "OperationsPath";
  public static final String FILEEXTENSIONS = "FileExtensions";
  public static final String PROXY = "Proxy";
  public static final String OPENERRORS = "OpenErrors";
  public static final String RESOURCE = "Resource";
  public static final String MAXRESOURCES = "MaxResources";
  public static final String AUTOMATICLOADING = "AutomaticLoading";
  public static final String DTDAUTOMATICLOADING = "DTDAutomaticLoading";
  public static final String RNGAUTOMATICLOADING = "RNGAutomaticLoading";
  // Parsing options Ids
  public static final String PARSINGVALIDATION = "ParsingValidation";
  public static final String PARSINGVALIDATIONDYNAMIC =
    "ParsingValidationDynamic";
  public static final String PARSINGVALIDATIONSCHEMA =
    "ParsingValidationSchema";
  public static final String PARSINGNONVALIDATINGLOADDTDGRAMMAR =
    "ParsingNonValidatingLoadDTDGrammar";
  public static final String PARSINGNONVALIDATINGLOADEXTERNALDTD =
    "ParsingNonValidatingLoadExternalDTD";
  public static final String PARSINGDOMINCLUDEIGNORABLEWHITESPACE =
    "ParsingDOMIncludeIgnorableWhitespace";
  // Save options Ids
  public static final String DEFAULTENCODING = "DefaultEncoding";
  public static final String FILENAMEAUTOMATICINCREMENTING =
    "FileNameAutomaticIncrementing";
  public static final String DOCTYPEIFDTD = "DOCTYPEIfDTD";
  public static final String ADDLINEFEEDATSTARTTAGEND =
      "AddLineFeedAtStartTagEnd";
  // XSLT options Ids
  public static final String XSLTTRACEPATHNAME = "XSLTTracePathName";
  public static final String TRACEELEMENTS = "TraceElements";
  public static final String TRACEGENERATION = "TraceGeneration";
  public static final String TRACESELECTION = "TraceSelection";
  public static final String TRACETEMPLATES = "TraceTemplates";
  public static final String QUIETCONFLICTWARNINGS = "QuietConflictWarnings";
  // Display options Ids
  public static final String SPLIT = "Split";
  public static final String MAINWIDTH = "MainWidth";
  public static final String MAINHEIGHT = "MainHeight";
  public static final String DETAILPART = "DetailPart";
  public static final String AUTOMATICLABELLING = "AutomaticLabelling";
  public static final String LOOKANDFEELINDEX = "LookAndFeelIndex";
  public static final String LOCALEINDEX = "LocaleIndex";
  public static final String FONT = "Font";
  public static final String MONOSPACED = "Monospaced";
  public static final String MESSAGEPERSISTENCE = "MessagePersistence";
  public static final String STATUSSHOWN = "StatusShown";
  public static final String LAZYSHOWN = "LazyShown";
  public static final String NODELISTWIDTH = "NodeListWidth";
  public static final String NODELISTHEIGHT = "ModeListHeight";
  // Various options Ids
  public static final String TARGET = "Target";
  public static final String DOCUMENTTYPE = "DocumentType";
  public static final String TRANSFORMER = "Transformer";
  public static final String OPERATOR = "Operator";
  public static final String PARAMETER = "Parameter";
  public static final String MENUITEM = "MenuItem";
  public static final String NAMESPACE = "Namespace";
  // Operation options Ids
  public static final String OPERATIONSSTORED = "OperationsStored";
  public static final String CLEARUNDOAFTERSAVE = "ClearUndoAfterSave";
  // Identifier options Ids
  public static final String IDLENGTH = "IdLength";
  public static final String IDPREFIX = "IdPrefix";
  // Node types allowed Ids
  public static final String ALLOWSCOMMENT = "AllowsComment";
  public static final String ALLOWSPROCESSINGINSTRUCTION =
    "AllowsProcessingInstruction";
  public static final String ALLOWSCDATASECTION = "AllowsCdataSection";
  public static final String ALLOWSENTITYREFERENCE = "AllowsEntityReference";
  // Search options Ids
  public static final String LASTSEARCH = "LastSearch";
  public static final String CASEIGNOREDFORSEARCH = "CaseIgnoredForSearch";
  public static final String ENTIRECONFORMANCEFORSEARCH =
    "EntireConformanceForSearch";
  public static final String LASTXPATHEXPRESSION = "LastXPathExpression";
  public static final String HISTORYSIZE = "HistorySize";
  public static final String LOCATORLINENUMBER = "LocatorLineNumber";
  public static final String LOCATORCOLUMNNUMBER = "LocatorColumnNumber";

  public abstract void clear();

  public abstract int getOptionDefCount();

  public abstract List getOptionList(int optionIndex);

  public abstract List getOptionList(String optionId);

  public abstract Option getOption(String optionId);

  public abstract void setOption(String optionId, Option option);

  public abstract String getStringOptionValue(String optionId);

  public abstract void setStringOptionValue(String optionId, String value);

  public abstract StringOption createStringOption(
    String optionId, String value);

  public abstract int getIntOptionValue(String optionId);

  public abstract void setIntOptionValue(String optionId, int value);

  public abstract IntOption createIntOption(String optionId, int value);

  public abstract int getThreeStateOptionValue(String optionId);

  public abstract void setThreeStateOptionValue(String optionId, int value);

  public abstract ThreeStateOption createThreeStateOption(
    String optionId, int value);
}
