/*
 * The_xmloperator_project Software License, Version 1.7
 *
 * Copyright (c) 2000 - 2003 The_xmloperator_project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *      "This product includes or uses software developped
 *       by The_xmloperator_project (http://www.xmloperator.net/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. Products derived from this software may not be called "xmloperator",
 *    nor may "xmloperator" appear in their name, without prior written
 *    permission. For written permission, please contact
 *    the xmloperator project administrator.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE_XMLOPERATOR_PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * Further information can be found on the project's site
 * (http://www.xmloperator.net/).
 */
package org.xmloperator.framework.view.shortcut;

import javax.swing.JComponent;

import org.xmloperator.framework.view.shortcut.Shortcut;

public interface Shortcuts {
  // File
  public static final String SHORTCUT_OUVRIR = "OPEN";
  public static final String SHORTCUT_REOUVRIR = "REOPEN";
  public static final String SHORTCUT_ENREGISTRER = "SAVE";
  public static final String SHORTCUT_ENREGISTRER_ET_RECHARGER = "SAVE_AND_RELOAD";
  public static final String SHORTCUT_TRANSFORM = "TRANSFORM";
  public static final String SHORTCUT_FERMER = "CLOSE";
  public static final String SHORTCUT_EXIT = "EXIT";

  // Document
  public static final String SHORTCUT_DOCUMENT_TYPES = "DOCUMENT_TYPES";
  public static final String SHORTCUT_DOCUMENT_TYPE = "DOCUMENT_TYPE";
  public static final String SHORTCUT_NEW_DOCUMENT = "NEW_DOCUMENT";

  // Edit
  public static final String SHORTCUT_DEFAIRE = "UNDO";
  public static final String SHORTCUT_REFAIRE = "REDO";
  public static final String SHORTCUT_NOUVEAU_PRECEDENT = "NEW_PREVIOUS";
  public static final String SHORTCUT_NOUVEAU_SUIVANT = "NEW_NEXT";
  public static final String SHORTCUT_NOUVEAU_DESCENDANT = "NEW_CHILD";
  public static final String SHORTCUT_REPLACE = "REPLACE";
  public static final String SHORTCUT_SUPPRIMER = "DELETE";
  public static final String SHORTCUT_JOINDRE = "JOIN";
  public static final String SHORTCUT_DIVISER = "SPLIT";
  public static final String SHORTCUT_NEW_ATTRIBUTE = "NEW_ATTRIBUTE";
  public static final String SHORTCUT_REMOVE_ATTRIBUTE = "REMOVE_ATTRIBUTE";
  public static final String SHORTCUT_EMPAQUETER = "PACK";
  public static final String SHORTCUT_DEPAQUETER = "UNPACK";
  public static final String SHORTCUT_OPERATOR1 = "OPERATOR1";
  public static final String SHORTCUT_OPERATOR2 = "OPERATOR2";
  public static final String SHORTCUT_OPERATOR3 = "OPERATOR3";

  // Move
  public static final String SHORTCUT_PASSER_PRECEDENT = "MOVE_PREVIOUS";
  public static final String SHORTCUT_PASSER_SUIVANT = "MOVE_NEXT";
  public static final String SHORTCUT_PASSER_DESCENDANT = "MOVE_CHILD";
  public static final String SHORTCUT_PASSER_PARENT = "MOVE_PARENT";
  public static final String SHORTCUT_TO_BE_MOVED = "TO_BE_MOVED";

  // Fragment
  public static final String SHORTCUT_CUT = "CUT";
  public static final String SHORTCUT_COPY = "COPY";
  public static final String SHORTCUT_IMPORT = "IMPORT";
  public static final String SHORTCUT_REPLACE_BY_FRAGMENT = "REPLACE_BY_FRAGMENT";
  public static final String SHORTCUT_PASTE_BEFORE = "PASTE_BEFORE";
  public static final String SHORTCUT_PASTE_AFTER = "PASTE_AFTER";
  public static final String SHORTCUT_PASTE_UNDER = "PARSE_UNDER";
  public static final String SHORTCUT_TO_CLIP = "TO_CLIP";
  public static final String SHORTCUT_FROM_CLIP = "FROM_CLIP";
  public static final String SHORTCUT_COPY_TO_CLIP = "COPY_TO_CLIP";
  public static final String SHORTCUT_PASTE_CLIP_BEFORE = "PASTE_CLIP_BEFORE";
  public static final String SHORTCUT_PASTE_CLIP_AFTER = "PASTE_CLIP_AFTER";
  public static final String SHORTCUT_PASTE_CLIP_UNDER = "PASTE_CLIP_UNDER";

  // Main view
  public static final String SHORTCUT_MONTER = "UP";
  public static final String SHORTCUT_DESCENDRE = "DOWN";
  public static final String SHORTCUT_SELECTIONNER_PRECEDENT = "PREVIOUS";
  public static final String SHORTCUT_SELECTIONNER_SUIVANT = "NEXT";
  public static final String SHORTCUT_SELECTIONNER_DESCENDANT = "CHILD";
  public static final String SHORTCUT_SELECTIONNER_PARENT = "PARENT";
  public static final String SHORTCUT_EXPANSER = "EXPAND";
  public static final String SHORTCUT_RECONSTRUIRE_TEL_QUEL = "REBUILD_AS_IS";
  public static final String SHORTCUT_RECONSTRUIRE_AUTREMENT = "REBUILD_DIFFERENTLY";
  public static final String SHORTCUT_CHANGE_ELEMENT_LABELLING = "CHANGE_ELEMENT_LABELLING";

  // Other views
  public static final String SHORTCUT_CHERCHER = "SEARCH";
  public static final String SHORTCUT_OPERATIONS = "OPERATIONS";
  public static final String SHORTCUT_FRAGMENT = "FRAGMENT";
  public static final String SHORTCUT_STATISTIQUE = "STATISTIC";
  public static final String SHORTCUT_NAVIGATION = "BROWSING";
  public static final String SHORTCUT_EVALUATE = "EVALUATE";
  public static final String SHORTCUT_CONTENT_MODEL = "CONTENT_MODEL";

  // Comparison
  public static final String SHORTCUT_COMPARE = "COMPARE";
  public static final String SHORTCUT_ASSOCIATED_ELEMENT = "ASSOCIATED_ELEMENT";

  // Miscelaneous
  public static final String SHORTCUT_COMMAND1 = "COMMAND1";
  public static final String SHORTCUT_COMMAND2 = "COMMAND2";
  public static final String SHORTCUT_COMMAND3 = "COMMAND3";

  // Methods

  public Shortcut getShortcut(String shortcutId);

  public void registerKeyboardAction(JComponent component);

  public void clearActionListeners();
}
