/*
 * The_xmloperator_project Software License, Version 1.7
 *
 * Copyright (c) 2000 - 2003 The_xmloperator_project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *      "This product includes or uses software developped
 *       by The_xmloperator_project (http://www.xmloperator.net/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. Products derived from this software may not be called "xmloperator",
 *    nor may "xmloperator" appear in their name, without prior written
 *    permission. For written permission, please contact
 *    the xmloperator project administrator.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE_XMLOPERATOR_PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * Further information can be found on the project's site
 * (http://www.xmloperator.net/).
 */
package org.xmloperator.util.view;

import java.awt.Frame;
import java.util.Vector;

import org.xmloperator.framework.view.observer.ViewObserver;

public class ViewObserverImpl implements ViewObserver {
  protected Vector frameList = new Vector();
  protected boolean isDeletingView = false;

  public ViewObserverImpl() {
  }

  public int getCount() {
    return frameList.size();
  }

  public Frame getFrame(int index) {
    return (Frame)frameList.elementAt(index);
  }

  public void addFrame(Frame frame) {
    if (frame == null)
      throw new IllegalArgumentException();
    frameList.add(frame);
  }

  public void deleteFrame(Frame frame) {
    if (frame == null)
      throw new IllegalArgumentException();
    isDeletingView = true;
    frame.dispose();
    frameList.remove(frame);
    isDeletingView = false;
  }

  public void deleteAllFrames() {
    isDeletingView = true;
    while (frameList.size() != 0) {
      ((Frame)frameList.elementAt(0)).dispose();
      frameList.removeElementAt(0);
    }
    isDeletingView = false;
  }

  ///////////////////////////////
  // View observer implementation
  ///////////////////////////////

  public void notifyDispose(Frame frame) {
    if (!isDeletingView)
      frameList.removeElement(frame);
  }
}

