/*
 * The_xmloperator_project Software License, Version 1.7
 *
 * Copyright (c) 2000 - 2003 The_xmloperator_project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *      "This product includes or uses software developped
 *       by The_xmloperator_project (http://www.xmloperator.net/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. Products derived from this software may not be called "xmloperator",
 *    nor may "xmloperator" appear in their name, without prior written
 *    permission. For written permission, please contact
 *    the xmloperator project administrator.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE_XMLOPERATOR_PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * Further information can be found on the project's site
 * (http://www.xmloperator.net/).
 */
package org.xmloperator.view.resource;

import java.util.ListResourceBundle;

import org.xmloperator.framework.view.resource.Label;

public class ViewResource extends ListResourceBundle implements Label {
  protected static final Object[][] contents = {

    // Textes concernant les documents ou fichiers

    {FICHIER, "File"},
    {MNEMO + FICHIER, "F"},
    {DOCUMENT, "Document"},
    {MNEMO + DOCUMENT, "D"},
    {NOUVEAU_DOCUMENT, "New document"},
    {MNEMO + NOUVEAU_DOCUMENT, "N"},
    {SELECT_DOCUMENT_TYPE, "Select a document type"},
    {SELECT_RESULT_DOCUMENT_TYPE, "Select the result-document type"},
    {NOM_DE_FICHIER, "File name"},
    {DOCUMENT_TYPES, "Document types"},
    {MNEMO + DOCUMENT_TYPES, "Y"},
    {DOCUMENT_TYPE, "Document type"},
    {MNEMO + DOCUMENT_TYPE, "T"},
    {ADDITIONAL_KEY, "Additional key"},
    {SCHEMA_TYPE, "Schema type"},
    {NAMESPACE_IDENTIFIER, "Namespace identifier"},
    {DEFAULT_TRANSFORMER, "Default transformer"},
    {UNDEFINED, "undefined"},
    {TRANSFORMERS, "Transformers"},
    {MNEMO + TRANSFORMERS, "F"},
    {TRANSFORMER, "Transformer"},
    {MNEMO + TRANSFORMER, "F"},
    {OPERATOR, "Operator"},
    {DOCUMENT_TYPE_NAME, "Document type name"},
    {CLASS_NAME, "Class name"},
    {PARAM_NAMES, "Param names"},
    {APPLY, "Apply"},
    {CHOOSE, "Choose"},
    {BUILD, "Build"},
    {MNEMO + BUILD, "B"},
    {BUILD_DTD, "Build DTD"},
    {MNEMO + BUILD_DTD, "B"},
    {WITH_PARAMETER_ENTITIES, "With parameter entities"},
    {MNEMO + WITH_PARAMETER_ENTITIES, "I"},
    {WITHOUT_PARAMETER_ENTITIES, "Without parameter entities"},
    {MNEMO + WITHOUT_PARAMETER_ENTITIES, "O"},
    {STYLE_SHEET, "Style sheet"},
    {MNEMO + STYLE_SHEET, "S"},
    {ADD, "Add"},
    {MNEMO + ADD, "A"},
    {NEW, "New"},
    {MNEMO + NEW, "N"},
    /*
    {NEW_TYPE, "New type"},
    {MNEMO + NEW_TYPE, "N"},
    */
    {SELECTED_TYPE, "Selected type"},
    {MNEMO + SELECTED_TYPE, "S"},
    {FICHIER_OPTIONS, "Options file"},
    {MNEMO + FICHIER_OPTIONS, "O"},
    {DUPLICATE, "Duplicate"},
    {MNEMO + DUPLICATE, "U"},
    {MODIFY, "Modify"},
    {MNEMO + MODIFY, "M"},
    {EDIT_DTD, "Edit DTD"},
    {MNEMO + EDIT_DTD, "D"},
    {EDIT_RNG, "Edit RNG"},
    {MNEMO + EDIT_RNG, "G"},
    {FULL_SYNTAX, "Full syntax"},
    {MNEMO + FULL_SYNTAX, "F"},
    {SIMPLIFY_RNG, "Simplify RELAX NG schema"},
    {MNEMO + SIMPLIFY_RNG, "P"},
    {SIMPLE_SYNTAX, "Simple syntax"},
    {MNEMO + SIMPLE_SYNTAX, "S"},
    {GROUP_WITH_MORE_THAN_TWO_CHILDREN, "Group with more than two children"},
    {MNEMO + GROUP_WITH_MORE_THAN_TWO_CHILDREN, "G"},
    {REF_RESOLUTION_ONLY, "Ref resolution only"},
    {MNEMO + REF_RESOLUTION_ONLY, "R"},
    {AS, "As"},
    {MNEMO + AS, "A"},
    {TO_DTDXML_AS, "To DTDXML as"},
    {MNEMO + TO_DTDXML_AS, "X"},
    {AS_DTD, "As DTD"},
    {MNEMO + AS_DTD, "D"},
    {AS_DTDXML, "As DTDXML"},
    {MNEMO + AS_DTDXML, "X"},
    {REMOVE_EMPTY_TEXTS, "Remove empty texts"},
    {MNEMO + REMOVE_EMPTY_TEXTS, "R"},
    {INDENT_ELEMENTS, "Indent the elements"},
    {MNEMO + INDENT_ELEMENTS, "N"},
    {ADD_NAMESPACE, "Add namespace"},
    {MNEMO + ADD_NAMESPACE, "P"},
    {EDIT_SOURCE, "Edit source"},
    {MNEMO + EDIT_SOURCE, "C"},
    {REPLACE, "Replace"},
    {MNEMO + REPLACE, "R"},
    {SUPPRIMER, "Remove"},
    {MNEMO + SUPPRIMER, "R"},
    {MONTER, "Up"},
    {MNEMO + MONTER, "U"},
    {DESCENDRE, "Down"},
    {MNEMO + DESCENDRE, "D"},
    {NOUVELLE_INSTANCE, "New instance"},
    {MNEMO + NOUVELLE_INSTANCE, "I"},
    {OPEN_DOCUMENT, "Open document"},
    {MNEMO + OPEN_DOCUMENT, "O"},
    {BROWSE, "Browse"},
    {MNEMO + BROWSE, "B"},
    {ENTER, "Enter"},
    {MNEMO + ENTER, "E"},
    {REOUVRIR_DOCUMENT, "Reopen document"},
    {MNEMO + REOUVRIR_DOCUMENT, "P"},
    {FERMER_DOCUMENT, "Close document"},
    {MNEMO + FERMER_DOCUMENT, "C"},
    {OPEN_DTD, "Open DTD"},
    {MNEMO + OPEN_DTD, "T"},
    {CLOSE_DTD, "Close DTD"},
    {MNEMO + CLOSE_DTD, "S"},
    {OPEN_RNG, "Open RELAX NG schema"},
    {MNEMO + OPEN_RNG, "N"},
    {SAVE_DOCUMENT, "Save document"},
    {MNEMO + SAVE_DOCUMENT, "E"},
    {SAVE_AND_RELOAD_DOCUMENT, "Save and reload document"},
    {MNEMO + SAVE_AND_RELOAD_DOCUMENT, "A"},
    {SAVE_DOCUMENT_AS, "Save document as"},
    {MNEMO + SAVE_DOCUMENT_AS, "S"},
    {TRANSFORM, "Transform document"},
    {TRANSFORM_AS, "Transform document as"},
    {MNEMO + TRANSFORM_AS, "F"},
    {RETRANSFORM, "Retransform document"},
    {MNEMO + RETRANSFORM, "R"},
    {TRANSFORM_INFORMATION, "Transform information"},
    {TRANSFORM_PARAMETERS, "Transform parameters"},
    {PROCESS_BATCH, "Process batch"},
    {MNEMO + PROCESS_BATCH, "B"},
    {SAVE_DTD, "Save DTD"},
    {MNEMO + SAVE_DTD, "T"},
    {SAVE_DTD_AS, "Save DTD as"},
    {MNEMO + SAVE_DTD_AS, "T"},
    {SAVE_RNG, "Save RNG"},
    {QUITTER, "Exit"},
    {MNEMO + QUITTER, "X"},
    {SEE, "See"},
    {BUILDING, "Building"},

    // Textes concernant les ditions

    {EDITION, "Edit"},
    {MNEMO + EDITION, "E"},
    {DEFAIRE, "Undo"},
    {MNEMO + DEFAIRE, "U"},
    {REFAIRE, "Redo"},
    {MNEMO + REFAIRE, "R"},
    {NOUVEAU_PRECEDENT, "New previous"},
    {MNEMO + NOUVEAU_PRECEDENT, "P"},
    {NOUVEAU_SUIVANT, "New next"},
    {MNEMO + NOUVEAU_SUIVANT, "N"},
    {NOUVEAU_DESCENDANT, "New child"},
    {MNEMO + NOUVEAU_DESCENDANT, "C"},
    {NEW_ATTRIBUTE, "New attribute"},
    {MNEMO + NEW_ATTRIBUTE, "A"},
    {REMOVE_ATTRIBUTE, "Remove attribute"},
    {MNEMO + REMOVE_ATTRIBUTE, "B"},
    {MOVE, "Move"},
    {MNEMO + MOVE, "M"},
    {PASSER_PRECEDENT, "Move previous"},
    {MNEMO + PASSER_PRECEDENT, "P"},
    {PASSER_SUIVANT, "Move next"},
    {MNEMO + PASSER_SUIVANT, "N"},
    {PASSER_DESCENDANT, "Move child"},
    {MNEMO + PASSER_DESCENDANT, "C"},
    {PASSER_PARENT, "Move parent"},
    {MNEMO + PASSER_PARENT, "R"},
    {TO_BE_MOVED, "To be moved"},
    {MNEMO + TO_BE_MOVED, "T"},
    {REORDER_ASCENDING, "Reorder ascending"},
    {MNEMO + REORDER_ASCENDING, "A"},
    {REORDER_DESCENDING, "Reorder descending"},
    {MNEMO + REORDER_DESCENDING, "E"},
    {EMPAQUETER, "Pack"},
    {MNEMO + EMPAQUETER, "K"},
    {DEPAQUETER, "Unpack"},
    {MNEMO + DEPAQUETER, "A"},
    {JOINDRE_SUIVANT, "Join next"},
    {MNEMO + JOINDRE_SUIVANT, "J"},
    {DIVISER, "Split"},
    {MNEMO + DIVISER, "I"},
    {SPECIAL, "Special"},
    {MNEMO + SPECIAL, "S"},
    {EXPANSER, "Expand deeply"},
    {MNEMO + EXPANSER, "X"},
    {LECTURE_SEULE, "ReadOnly"},
    {READY, "Ready"},
    {DOCUMENT_MODIFIE, "Modified"},
    {RAPPORT, "Report"},
    {REJETER, "Reject"},
    {MNEMO + REJETER, "R"},
    {TOUT_REJETER, "Reject all"},
    {MNEMO + TOUT_REJETER, "J"},
    {EXECUTER, "Execute"},
    {MNEMO + EXECUTER, "E"},
    {TOUT_EXECUTER, "Execute all"},
    {MNEMO + TOUT_EXECUTER, "A"},

    // Textes concernant la gestion des fragments

    {FRAGMENT, "Fragment"},
    {MNEMO + FRAGMENT, "M"},
    {CUT, "Cut"},
    {MNEMO + CUT, "T"},
    {COPY, "Copy"},
    {MNEMO + COPY, "C"},
    {COPY_TO_CLIPBOARD, "Copy to clipboard"},
    {MNEMO + COPY_TO_CLIPBOARD, "B"},
    {PASTE_BEFORE, "Paste before"},
    {MNEMO + PASTE_BEFORE, "O"},
    {PASTE_AFTER, "Paste after"},
    {MNEMO + PASTE_AFTER, "A"},
    {PASTE_UNDER, "Paste under"},
    {MNEMO + PASTE_UNDER, "S"},
    {PASTE_CLIPBOARD_BEFORE, "Paste clipboard before"},
    {MNEMO + PASTE_CLIPBOARD_BEFORE, "F"},
    {PASTE_CLIPBOARD_AFTER, "Paste clipboard after"},
    {MNEMO + PASTE_CLIPBOARD_AFTER, "E"},
    {PASTE_CLIPBOARD_UNDER, "Paste clipboard under"},
    {MNEMO + PASTE_CLIPBOARD_UNDER, "U"},
    {COPY_FRAGMENT_TO_CLIPBOARD, "Copy fragment to clipboard"},
    {MNEMO + COPY_FRAGMENT_TO_CLIPBOARD, "T"},
    {COPY_CLIPBOARD_TO_FRAGMENT, "Copy clipboard to fragment"},
    {MNEMO + COPY_CLIPBOARD_TO_FRAGMENT, "R"},

    // Textes concernant les vues

    {VOIR, "View"},
    {MNEMO + VOIR, "I"},
    {CHERCHER, "Search"},
    {MNEMO + CHERCHER, "S"},
    {IGNORE_CASE, "Ignore case"},
    {ENTIRE_CONFORMANCE, "Entire conformance"},
    {EVALUATE, "Evaluate"},
    {MNEMO + EVALUATE, "E"},
    {COMPARE, "Compare"},
    {MNEMO + COMPARE, "C"},
    {ASSOCIATE, "Associate"},
    {MNEMO + ASSOCIATE, "A"},
    {ASSOCIATED_ELEMENT, "Associated element"},
    {MNEMO + ASSOCIATED_ELEMENT, "E"},
    {DISASSOCIATE, "Disassociate"},
    {MNEMO + DISASSOCIATE, "D"},
    {MERGE_AS, "Merge as"},
    {MNEMO + MERGE_AS, "M"},
    {STATISTIQUE, "Statistic"},
    {MNEMO + STATISTIQUE, "S"},
    {BROWSING, "Browsing"},
    {MNEMO + BROWSING, "B"},
    {OPERATIONS, "Operations"},
    {MNEMO + OPERATIONS, "O"},
    {TOUT_DEFAIRE, "Undo all"},
    {MNEMO + TOUT_DEFAIRE, "U"},
    {TOUT_REFAIRE, "Redo all"},
    {MNEMO + TOUT_REFAIRE, "R"},
    {EFFACER_DEFAIRE, "Clear undo"},
    {MNEMO + EFFACER_DEFAIRE, "N"},
    {EFFACER_REFAIRE, "Clear redo"},
    {MNEMO + EFFACER_REFAIRE, "E"},
    {CHARGER, "Load"},
    {MNEMO + CHARGER, "L"},
    {ENREGISTRER, "Save"},
    {MNEMO + ENREGISTRER, "S"},
    {CHARGER_OPERATIONS, "Load operations"},
    {ENREGISTRER_OPERATIONS_SOUS, "Save operations as"},
    {EFFACER, "Clear"},
    {MNEMO + EFFACER, "C"},
    {IMPORT, "Import"},
    {MNEMO + IMPORT, "I"},
    {TO_CLIPBOARD, "To clipboard"},
    {MNEMO + TO_CLIPBOARD, "T"},
    {FROM_CLIPBOARD, "From clipboard"},
    {MNEMO + FROM_CLIPBOARD, "F"},
    {SELECTION_D_INSTANCE, "Instance selection"},
    {INSTANCE_OUTIL, "xmloperator instance"},
    {ELEMENTS_REFERENCANT, "Referencing elements"},
    {MNEMO + ELEMENTS_REFERENCANT, "E"},
    {INVALID_ELEMENT, "Invalid element"},
    {MNEMO + INVALID_ELEMENT, "I"},
    {REFERING, "Refering"},
    {CIBLE, "Target"},
    {MNEMO + CIBLE, "T"},
    {RESULTAT_DE_RECHERCHE, "Search result"},
    {BROWSING_HISTORY, "Browsing history"},
    {ERREURS, "Errors"},
    {MNEMO + ERREURS, "E"},
    {EXCEPTION_TRACE, "Exception trace"},
    {MNEMO + EXCEPTION_TRACE, "X"},
    {SOURCE, "Source"},
    {RECONSTRUIRE, "Rebuild"},
    {MNEMO + RECONSTRUIRE, "R"},
    {CHANGE_LAYOUT, "Change layout"},
    {MNEMO + CHANGE_LAYOUT, "Y"},
    {ELEMENT, "Element"},
    {NOMBRE, "Count"},
    {LINE_NUMBER, "Line"},
    {COLUMN_NUMBER, "Column"},
    {LOCATION, "Location"},
    {ELEMENT_AT_LOCATION, "Element at location"},
    {MNEMO + ELEMENT_AT_LOCATION, "L"},
    {CONTENT_MODEL, "Content model"},
    {MNEMO + CONTENT_MODEL, "C"},
    {CONTENT_MODEL_OF, "Content model of "},
    {ELEMENT_LABELLING, "Element labelling"},
    {MNEMO + ELEMENT_LABELLING, "B"},

    // Textes concernant les options

    {OPTIONS, "Options"},
    {MNEMO + OPTIONS, "S"},
    {OPTIONS_DE_L_OUTIL, "Settings"},
    {MNEMO + OPTIONS_DE_L_OUTIL, "T"},
    {MODIFIER_OPTIONS, "Modify"},
    {MNEMO + MODIFIER_OPTIONS, "M"},
    {ENREGISTRER_OPTIONS, "Save"},
    {MNEMO + ENREGISTRER_OPTIONS, "V"},
    {OPTIONS_OUTILS_ENREGISTREES, "Options for tool are saved"},
    {OPTIONS_DOCUMENT_ENREGISTREES, "Options for document are saved"},
    {RECHARGER, "Reload"},
    {MNEMO + RECHARGER, "L"},
    {OPTIONS_OUTILS_RECHARGEES, "Options for tool are reloaded"},
    {OPTIONS_DOCUMENT_RECHARGEES, "Options for document are reloaded"},
    {EDITER, "Edit"},
    {MNEMO + EDITER, "D"},
    {GENERAL, "General"},
    {ADVANCED_USE, "Advanced use"},
    {PATHS, "Paths"},
    {CHARGEMENT, "Load"},
    {OPEN_ERRORS_WINDOW_ON_ERRORS, "Open errors window on errors"},
    {RESOURCES_MAX_COUNT, "Resources max count"},
    {READONLY_PATH, "Read only path"},
    {CHEMIN_DE_RECHERCHE_XML, "XML path"},
    {CHEMIN_DE_RECHERCHE_XSL, "XSL path"},
    {CHEMIN_DE_RECHERCHE_DTD, "DTD path"},
    {CHEMIN_DE_RECHERCHE_RNG, "RNG path"},
    {CHEMIN_DE_RECHERCHE_OPTIONS, "Options path"},
    {CHEMIN_DE_RECHERCHE_OPERATIONS, "Operations path"},
    {FILE_EXTENSIONS, "File extensions (xml html ...)"},
    {DTD_AUTOMATIC_LOADING, "DTD automatic loading"},
    {RNG_AUTOMATIC_LOADING, "RNG schema automatic loading"},
    {PARSING, "Parsing"},
    {ENREGISTREMENT, "Save"},
    {XSLT, "XSLT"},
    {DEFAULT_ENCODING, "Default encoding"},
    {INCLUDE_DOCTYPE_NODE, "Include DOCTYPE node"},
    {UTILISATION_DU_RACCOURCI_POUR_ELEMENT_VIDE,
      "Shortcut is used for empty element"},
    {FILE_NAME_AUTOMATIC_INCREMENTING, "File name automatic incrementing"},
    {DOCTYPE_IF_DTD, "DOCTYPE if DTD"},
    {TRACE_PATH_NAME, "Trace path name"},
    {TRACE_ELEMENTS, "Trace execution of style sheet elements"},
    {TRACE_GENERATION, "Trace result-tree generation events"},
    {TRACE_SELECTION, "Trace selection events"},
    {TRACE_TEMPLATES, "Trace template invocations"},
    {TRACE_TEMPLATE_CHILDREN, "Trace template children constructing"},
    {QUIET_CONFLICT_WARNINGS, "Keep pattern conflict warnings quiet"},
    {IDENTIFICATION, "Identification"},
    {LONGUEUR_IDENTIFIANT, "Identifier length"},
    {ID_PREFIX, "Identifier prefix"},
    {SAUVEGARDE_DES_OPERATIONS, "Store operations"},
    {CONFIRMATION_DES_SUPPRESSIONS_MULTIPLES,
      "Confirm removing more than one node"},
    {EFFACEMENT_DE_DEFAIRE_APRES_ENREGISTREMENT, "Clear Undo after save"},
    {ALLOWS_COMMENTS, "Allows comments"},
    {ALLOWS_PROCESSING_INSTRUCTIONS, "Allows processing instructions"},
    {ALLOWS_CDATA_SECTIONS, "Allows CDATA sections"},
    {ALLOWS_ENTITY_REFERENCES, "Allows entity references"},
    {NODE_TYPE, "Node type"},
    {AFFICHAGE, "Display"},
    {STATUS_BAR, "Status bar"},
    {STATUS, "Status"},
    {COMPARISON, "Comparison"},
    {FONTE, "Font"},
    {NORMALE, "standard"},
    {GRANDE, "large"},
    {PROPORTIONAL, "proportional"},
    {MONOSPACED, "monospaced"},
    {AUTOMATIC_ELEMENT_LABELLING, "Automatic element labelling"},
    {MESSAGE_PERSISTENCE_TIME_SECOND, "Message persistence time (second)"},
    {COMPOSITION_DU_LIBELLE_D_UN_NOEUD, "Node display composition"},
    {ADD_LINEFEED_AT_STARTTAGEND, "Add line feed at start tag end"},
    {LANGUE, "Language"},
    {DEFAULT, "default"},
    {FALSE, "false"},
    {TRUE, "true"},
    {NO, "no"},
    {YES, "yes"},
    {CACHE, "hidden"},
    {AFFICHE, "displayed"},
    {ABSOLUTE, "absolute"},
    {RELATIVE, "relative"},

    // Textes utiliss dans la vue de dtail

    {TYPE, "Type"},
    {NAME, "Name"},
    {ATTRIBUTE, "Attribute"},
    {VALUE, "Value"},
    {GOTO, "goto"},
    {ATTRIBUTS, "Attributes"},
    {NO_VALUE, "No value"},
    {CANCEL, "Cancel"},
    {CANCEL_MOVE, "Cancel move"},
    {PARAMETER, "Parameter"},
    {THE_USED_DTD_IS_NOT_ATTACHED_TO_THE_DOCUMENT,
      "The used DTD is not attached to the document"},
    {VALID_CONTENT, "valid content"},
    {NOT_VALID_CONTENT, "not valid content"},
    {SELECT_ATTRIBUTE, "Select attribute"},
    {RETURN_TO_ATTRIBUTE_TABLE, "Return to attribute table"},

    // Textes utiliss dans les dialogues

    {VALIDER, "Ok"},
    {MNEMO + VALIDER, "O"},
    {ANNULER, "Cancel"},
    {MNEMO + ANNULER, "C"},
    {START, "Start"},
    {NEXT, "Next"},
    {LOCATION_PATH_WIZZARD, "Location path wizzard"},
    {SAVE, "Save"},
    {MNEMO + SAVE, "S"},
    {SAVE_AS, "Save as"},
    {MNEMO + SAVE_AS, "A"},
    {PATH_NAME, "Path name"},
    {A_PROPOS, "About"},
    {MNEMO + A_PROPOS, "A"},
    {SEE_EXCEPTION, "SEE EXCEPTION TRACE"},
    {IRREVERSIBLE_ACTION, "Irreversible action"},
    {DOCUMENT_NON_ENREGISTRE, "Document not saved"},
    {LE_FICHIER_EXISTE_DEJA, "The file already exists"},
    {MODIFICATIONS_NON_ENREGISTREES, "Modifications not saved"},
    {LE_DOCUMENT_EST_EN_LECTURE_SEULE, "The document is read only"},
    {ID_DEJA_UTILISE, "Already used Id"},
    {DOCUMENT_TYPE_ALREADY_DEFINED, "Document type already defined"},
    {ADDITIONAL_KEY_HAS_BEEN_CHANGED, "Additional key has been changed"},
    {TRANSFORMER_ALREADY_DEFINED, "Transformer already defined"},
    {TRANSFORMER_NAME_HAS_BEEN_CHANGED, "Transformer name has been changed"},
    {BUILDING_DTD, "Building DTD"},
    {DTD_IS_BUILT, "DTD is built"},
    {BUILDING_RNG_SIMPLE_SYNTAX, "Building RNG simple syntax"},
    {RNG_SIMPLE_SYNTAX_IS_BUILT, "RNG simple syntax is built"},
    {DO_YOU_CONFIRM, "Do you confirm"},
    {REMOVING_THE_EMPTY_TEXTS, "removing the empty texts"},
    {INDENTING_ELEMENTS, "indenting the elements"},
    {REMOVING_A_DOCUMENT_TYPE, "Removing a document type"},
    {REMOVING_A_TRANSFORMER, "Removing a transformer"},
    {L_ABANDON_DES_MODIFICATIONS, "canceling modifications"},
    {L_ECRASEMENT_DE, "rewriting of"},
    {ELEMENT_NAME, "Element name"},
    {REPLACEMENT_ELEMENT_NAME, "Replacement element name"},
    {PACK_ELEMENT_NAME, "Pack element name"},
    {CHILD_ELEMENT_NAME, "Child element name"},
    {SIBLING_ELEMENT_NAME, "Sibling element name"},
    {CHILD_ELEMENT_OR_ATTRIBUTE_NAME, "Child element or attribute name"},
    {ENTITY_NAME, "Entity name"},
    {PREFIX, "Prefix"},
    {ATTRIBUTE_PREFIX, "Attribute prefix"},
    {LOCAL_NAME, "Local name"},
    {ATTRIBUTE_LOCAL_NAME, "Attribute local name"},
    {QUALIFIED_NAME, "Qualified name"},
    {ATTRIBUTE_QUALIFIED_NAME, "Attribute qualified name"},
    {ROOT_ELEMENT_NAME, "Root element name"},
    {TEXT_OF_LEAF_ELEMENT, "Text of leaf element"},
    {ALL_ATTRIBUTES, "All attributes"},
    {ALL_SINGLE_ELEMENTS, "All single elements"},
    {ALL_ATTRIBUTES_AND_SINGLE_ELEMENTS, "All attributes and single elements"},
    {THE_ATTRIBUTE_WITH_THAT_NAME, "The attribute with that name"},
    {THE_SINGLE_ELEMENT_WITH_THAT_NAME, "The single element with that name"},

    // Textes utiliss dans les messages

    {RESSOURCE_INVALIDE, "Invalid resource"},
    {CHARGE, "Load"},
    {NOTE_IDS, "Note ids"},
    {PREPARE_VUE, "Prepare view"},
    {DOCUMENT_EN_LECTURE_SEULE, "Read only document"},
    {MOVE_IN_PROGRESS, "Move in progress"},
    {OUVERTURE_EN_LECTURE_SEULE_POUR_CAUSE_D_EXISTENCE_DE_FICHIER_TMP,
      "Open for read only because file .tmp exists"},
    {ENREGISTREMENT_EN_COURS, "Saving document"},
    {FUSION_EN_COURS, "Merging documents"},
    {TRANSFORMATION_IN_PROGRESS, "Transformation in progress"},
    {COMPARISON_IN_PROGRESS, "Comparison in progress"},
    {THIS_DOCUMENT_HAS_NO_DTD_EXTERNAL_SUBSET,
      "This document has no DTD external subset"},
    {HAVE_BEEN_REPLACED_FOR_WRITING_OUT, "have been replaced for writing out"},
    {AN_ELEMENT_MUST_BE_SELECTED, "An element must be selected"},
    {UN_ELEMENT_NE_PEUT_PAS_VENIR_LA, "An element cannot be there"},
    {IL_N_EST_PAS_DEFINI_D_ENTITE, "There is no entity"},
    {NE_PEUT_AVOIR_DE_DESCENDANT,
      "This element has already or cannot have childs"},
    {NE_PEUT_AVOIR_DE_SUIVANT,
      "This element has already or cannot have a next sibling"},
    {NE_PEUT_AVOIR_DE_PRECEDANT,
      "This element has already or cannot have a previous sibling"},
    {THERE_ARE_NOT_ELEMENTS_WITH_THE_SAME_NAME,
      "There are not elements with the same name"},
    {NO_OPERATOR_DEFINED, "There is no operator defined"},
    {OPERATION_INTERDITE, "Forbiden operation"},
    {NOT_ALLOWED_BECAUSE_MIXED_CONTENT, "Not allowed because mixed content"},
    {COLLAGE_INTERDIT, "Forbiden paste"},
    {CLIPBOARD_IS_EMPTY, "The clipboard is empty"},
    {NOT_FOUND, "not found"},
    {CHANGES_ARE_NOT_SAVED, "Changes are not saved"},
    {RESULT, "Result"},
    {ILLEGAL_PATH_NAME, "Illegal path name"},
    {NO_TRANSFORMER_DEFINED, "No transformer is defined"},
    {NO_TRANSFORMER_CLASS_DEFINED, "No transformer class is defined"},
    {NO_OPERATOR_CLASS_DEFINED, "No operator class is defined"},
    {NO_STYLE_SHEET_DEFINED, "No style sheet is defined"},
    {ELEMENT_SEQUENCE_NOT_SCHEMA_CONFORMANT,
      "Element sequence is not schema conformant"},
    {ELEMENT_CONTENT_NOT_SCHEMA_CONFORMANT,
      "Element content is not schema conformant"},
    {NODES_REMOVED, "node(s) removed"},
    {THERE_IS_NO_OTHER_OPENED_INSTANCE, "There is no other opened instance"},
    {THERE_IS_NO_OPENED_DOCUMENT_FILE, "There is no opened document file"},
    {THERE_IS_NO_ASSOCIATED_DOCUMENT, "There is no associated document"},
    {THE_DOCUMENTS_HAVE_NOT_THE_SAME_TYPE,
      "The documents have not the same type"},
    {ROOT_ELEMENTS_ARE_NOT_ASSOCIATED, "Root elements are not associated"},
    {THIS_ACTION_REQUIRES_AN_OPENED_DOCUMENT,
      "This action requires an opened document"},
    {CANCELED, "Canceled"},
    {ALREADY_EXISTS, "Already exists"},
    {THIS_ATTRIBUTE_IS_REQUIRED, "This attribute is required"},
    {THIS_ELEMENT_IS_DEEPLY_VALID, "This element is deeply valid"},
    {EXPANDING_NODES, "Expanding nodes"},

    // Textes utiliss dans les conversions

    {LAST_UPDATE, "Last update"},
    {USER_GUIDE, "User guide"},
    {DEPENDENCIES, "dependencies"},
    {DEPENDS_ON, "depends on"},
    {OBJECT_SCHEMA, "Object schema"}};

  public ViewResource() {
  }

  protected Object[][] getContents() {
    return contents;
  }
}
